Recent

Author Topic: FPCUPdelue on Ubuntu 20.04  (Read 555 times)

Grahame Grieve

  • Full Member
  • ***
  • Posts: 107
FPCUPdelue on Ubuntu 20.04
« on: October 02, 2020, 09:01:53 am »
So I try running this, on a vanilla ubuntu, and I get this:

fpcupdeluxe: Got an unexpected exception ... don't know what to do unfortunately.

the log is :

Going to install/update FPC and Lazarus with given options.
FPCUP(deluxe) is starting up.

Bootstrap dir:         /home/gg/lazarus/fpcbootstrap
FPCupdeluxe basedir:   /home/gg/lazarus
FPC URL:               https://svn.freepascal.org/svn/fpc/trunk
FPC options:           
FPC source directory:  /home/gg/lazarus/fpcsrc
FPC install directory: /home/gg/lazarus/fpc
Lazarus URL:               https://svn.freepascal.org/svn/lazarus/trunk
Lazarus options:           
Lazarus source directory:  /home/gg/lazarus/lazarus
Lazarus install directory: /home/gg/lazarus/lazarus

Please stand back and enjoy !

2-10-20 16:58:39: fpcupdeluxe: V304 (20200722) started.
FPCUPdeluxe V1.8.0e for x86_64-linux running on Ubuntu

Found valid as application.
Found valid gunzip application.
Found valid tar application.

There's no hint what the exception is... what should I look for?

DonAlfredo

  • Hero Member
  • *****
  • Posts: 1360
Re: FPCUPdelue on Ubuntu 20.04
« Reply #1 on: October 02, 2020, 09:20:47 am »
This will be hard to debug in that case.
You might try this. Open an xterm (or any other terminal) and start fpcupdeluxe from this terminal. This might give you more info.

Grahame Grieve

  • Full Member
  • ***
  • Posts: 107
Re: FPCUPdelue on Ubuntu 20.04
« Reply #2 on: October 02, 2020, 11:55:52 am »
All I get is

Failed to load module "canberra-gtk-module"

That comes up immediately before I do anything. Otherwise, no extra infomration


devEric69

  • Sr. Member
  • ****
  • Posts: 378
Re: FPCUPdelue on Ubuntu 20.04
« Reply #3 on: October 02, 2020, 12:34:24 pm »
Hello,

For information, i'm on Ubuntu 20.04. I can launch FPCupDeluxe in a terminal: it doesn't generate any error (Failed to load module "canberra-gtk-module") on my upgraded computer (18.04 LTS --> 20.04 LTS).

So, this is probably a problem with this OS command:
Code: Bash  [Select][+][-]
  1. sudo apt-get update

You should probably look in the Ubuntu's "Bionic" repository, which *.deb package contains "canberra-gtk-module" (probably, a GTK2 widget\set), and install it in your Ubuntu's "Focal" distribution.


« Last Edit: October 02, 2020, 01:01:24 pm by devEric69 »
use: Linux 64 bits (Ubuntu 20.04 LTS).
Lazarus version: 2.0.4 (svn revision: 62502M) compiled with fpc 3.0.4 - fpDebug \ Dwarf3.

Grahame Grieve

  • Full Member
  • ***
  • Posts: 107
Re: FPCUPdelue on Ubuntu 20.04
« Reply #4 on: October 02, 2020, 10:52:58 pm »

Grahame Grieve

  • Full Member
  • ***
  • Posts: 107
Re: FPCUPdelue on Ubuntu 20.04
« Reply #5 on: October 02, 2020, 10:56:06 pm »
oh. I found the log:

[2020-10-03 06:51:38.315 Warning] You need to install at least libx11-dev libgtk2.0-dev libcairo2-dev libpango1.0-dev libxtst-dev libgdk-pixbuf2.0-dev libatk1.0-dev libghc-x11-dev to build Lazarus !!
 [2020-10-03 06:51:38.315 Warning] Make, binutils, subversion/svn [and gdb] are also required !!


Grahame Grieve

  • Full Member
  • ***
  • Posts: 107

devEric69

  • Sr. Member
  • ****
  • Posts: 378
Re: FPCUPdelue on Ubuntu 20.04
« Reply #7 on: October 22, 2020, 09:39:01 pm »
Well done!
use: Linux 64 bits (Ubuntu 20.04 LTS).
Lazarus version: 2.0.4 (svn revision: 62502M) compiled with fpc 3.0.4 - fpDebug \ Dwarf3.

 

TinyPortal © 2005-2018